imports:
    - { resource: config_default_backend.yml }

framework:
    router: { resource: "%kernel.root_dir%/config/routing_custom_menu.php" }

easy_admin:
    design:
        menu:
            - label: 'Products'
              icon: 'shopping-basket'
              css_class: 'label-custom-css-class'
              children:
                  - { entity: 'Product', icon: 'th-list', label: 'List Products', params: { sortField: 'createdAt' } }
                  - { entity: 'Product', label: 'Add Product', params: { action: 'new' } }
                  - { label: 'Additional Items' }
                  - { entity: 'Category', label: 'Categories', default: true, icon: '', css_class: 'children-custom-css-class' }
                  - { label: 'Absolute URL', url: 'https://github.com/javiereguiluz/EasyAdminBundle' }
            - { label: 'Images', entity: 'Image', css_class: 'entity-custom-css-class' }
            - { label: 'Purchases', entity: 'Purchase', icon: '', params: { sortField: 'deliveryDate', customParameter: 'customValue' } }
            - { label: 'About EasyAdmin' }
            - { label: 'Project Home', url: 'https://github.com/javiereguiluz/EasyAdminBundle', icon: 'home', target: '_blank' }
            - { label: 'Documentation', url: 'https://github.com/javiereguiluz/EasyAdminBundle#getting-started-guide', icon: 'book', target: '_self', rel: 'preconnect' }
            - { label: 'Report Issues', url: 'https://github.com/javiereguiluz/EasyAdminBundle/issues', icon: 'github', target: 'arbitrary_value' }
            - { label: 'Misc.' }
            - { route: 'custom_route', label: 'Custom External Route', params: { custom_parameter: 'Lorem Ipsum' } }
            - { route: 'easyadmin', label: 'Custom Internal Route', rel: 'index dns-prefetch bookmark', css_class: 'route-custom-css-class' }
